## 数据源配置
#spring:
#  shardingsphere:
#    datasource:
#      ds0:
#        type: com.zaxxer.hikari.HikariDataSource
#        driver-class-name: com.mysql.cj.jdbc.Driver
#        url: jdbc:mysql://192.168.1.122:33306/ekp?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&allowMultiQueries=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&rewriteBatchedStatements=true&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true
#        username: root
#        password: ll_mysql
#        hikari:
#          driver-class-name: ${spring.datasource.driver-class-name}
#          jdbc-url: ${spring.datasource.url}
#          username: ${spring.datasource.username}
#          password: ${spring.datasource.password}
#          pool-name: AmytangHikariCP
#          minimum-idle: 10 # 最小空闲连接数量
#          idle-timeout: 60000 # 空闲连接存活最大时间，默认600000（10分钟）
#          maximum-pool-size: 12 # 连接池最大连接数，默认是10
#          auto-commit: true  #此属性控制从池返回的连接的默认自动提交行为,默认值：true
#          max-lifetime: 0 #此属性控制池中连接的最长生命周期，值0表示无限生命周期，默认1800000即30分钟
#      names: ds0
#    rules:
#      sharding:
#        key-generators:
#          snowflake:
#            type: SNOWFLAKE
#        sharding-algorithms:
#          t-payment-inline:
#            props:
#              strategy: standard
#              algorithmClassName: com.yifu.cloud.plus.v1.ekp.config.OTAStrategyShardingAlgorithm
#            type: CLASS_BASED
#        tables:
#          ekp_social_info:
#            actual-data-nodes: ds0.ekp_social_info_20$->{23..24}
#            key-generate-strategy:
#              column: fd_id
#              key-generator-name: snowflake
#            table-strategy:
#              standard:
#                sharding-column: fd_3adfe8cb96c41e
#                sharding-algorithm-name: t-payment-inline
#
#  mvc:
#    pathmatch:
#      matching-strategy: ant_path_matcher
#  config:
#    activate:
#      on-profile: test
#  redis:
#    host: 192.168.1.65
#    port: 22379
#    password: '@yf_2017'
### spring security 配置
#security:
#  oauth2:
#    resource:
#      loadBalanced: true
#      token-info-uri: http://127.0.0.1:3000/oauth/check_token
#    # 直接放行URL
#    ignore:
#      urls:
#        - /v3/api-docs
#        - /actuator/**
#        - /swagger-ui/**
# 数据源配置
spring:
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  config:
    activate:
      on-profile: test
  redis:
    host: 192.168.1.65
    port: 22379
    password: '@yf_2017'
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: ll_mysql
    url: jdbc:mysql://192.168.1.122:33306/ekp?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&allowMultiQueries=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&rewriteBatchedStatements=true&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true
    hikari:
      driver-class-name: ${spring.datasource.driver-class-name}
      jdbc-url: ${spring.datasource.url}
      username: ${spring.datasource.username}
      password: ${spring.datasource.password}
      minimum-idle: 10 # 最小空闲连接数量
      idle-timeout: 60000 # 空闲连接存活最大时间，默认600000（10分钟）
      maximum-pool-size: 12 # 连接池最大连接数，默认是10
      auto-commit: true  #此属性控制从池返回的连接的默认自动提交行为,默认值：true
      max-lifetime: 0 #此属性控制池中连接的最长生命周期，值0表示无限生命周期，默认1800000即30分钟
## spring security 配置
security:
  oauth2:
    resource:
      loadBalanced: true
      token-info-uri: http://127.0.0.1:3000/oauth/check_token
    # 直接放行URL
    ignore:
      urls:
        - /v3/api-docs
        - /actuator/**
        - /swagger-ui/**

entry:
  entryUrl: http://36.7.147.29:27007/api/sys-modeling/appModelRestService/addModel
  entryFdModelId: 18050b5cee8b7f8e56879448e4f23aad
  entryFdFlowId: 191919ae533d080b60e6e784c55a3c8b
  entryDocStatus: 20
  entryLoginName: admin
  entryDocSubject: 入账明细推送ekp接口

wx:
  corpid: wwbcb090af0dfe50e5
  corpsecret: 16kqEL_eU-ARwYyqLgEBWHgxm8gXVnkzv_eJMLy9NpU
  agentid: 1000010
  authUrl: https://test-wx.worfu.com/yifu-auth/method/oauth/wxLogin
  domainName: https://test-wx.worfu.com